## visad
Class ShadowRealType

    java.lang.Object
      visad.ShadowType
          visad.ShadowScalarType
              visad.ShadowRealType

All Implemented Interfaces:
  Serializable

public class ShadowRealType
extends ShadowScalarType

The ShadowRealType class shadows the RealType class, within a DataDisplayLink.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.ShadowScalarType
`Index`

Fields inherited from class visad.ShadowType

`adjustProjectionSeam, anyContour, anyFlow, anyShape, anyText, arrowScale1, arrowScale2, c_cntrl, cnt, cntrWeight1, cntrWeight2, componentIndex, componentWithRef, curvedTexture, D0, D1, D2, D3, D4, Dbad, display, DisplayIndices, Dtype, isLinearContour3D, isTerminal, isTexture3D, isTextureMap, LEGAL, LevelOfDifficulty, Link, MappedDisplayScalar, METERS_PER_DEGREE, MultipleDisplayScalar, MultipleSpatialDisplayScalar, n_pass1, n_pass2, NESTED, NOTHING_MAPPED, p_cntrl, packingFactor1, packingFactor2, R0, R1, R2, R3, R4, Rbad, reduction1, reduction2, refToComponent, Rtype, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE, spatialDimension, spatialTuple, stepFactor1, stepFactor2, streamline1, streamline2, streamlineDensity1, streamlineDensity2, Type, ValueIndices`

Constructor Summary
`ShadowRealType(MathType type, DataDisplayLink link, ShadowType parent)`

Method Summary

`boolean`

`doTransform(Object group, Data data, float[] value_array, float[] default_values, DataRenderer renderer, ShadowType shadow_api)`
transform data into a (Java3D or Java2D) scene graph; add generated scene graph components as children of group; group is Group (Java3D) or VisADGroup (Java2D); value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process

Methods inherited from class visad.ShadowScalarType
`checkIndices, getDisplaySpatialTuple, getDisplaySpatialTupleIndex, getIndex, getInheritedValues, getMappedDisplayScalar, getSelectedMapVector, incrementIndices, markTransform`

Methods inherited from class visad.ShadowType

`addIndices, addLabelsToGroup, addSwitch, addTextToGroup, addToGroup, addToGroup, addToSwitch, adjustFlowToEarth, adjustZ, allowConstantColorSurfaces, allowCurvedTexture, allowLinearContour, anyRange, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, byteToFloat, checkAdjustProjectionSeam, checkAnimationOrValue, checkAny, checkColor, checkColorAlphaRange, checkColorOrAlpha, checkColorRange, checkContour, checkContourColorAlphaRange, checkFlow, checkNested, checkR1D3, checkR2D2, checkR3, checkR4, checkShape, checkSpatialColorAlphaRange, checkSpatialOffsetColorAlphaRange, checkSpatialRange, checkText, colorComposite, colorSum, copyIndices, equalizeAndDefault, floatToByte, getAdaptedShadowType, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponents, getComponentWithRef, getCurvedTexture, getData, getDefaultColorIndex, getDisplay, getDisplayIndices, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLevelOfDifficulty, getLink, getMultipleDisplayScalar, getMultipleSpatialDisplayScalar, getParentText, getParentTextControl, getRefToComponent, getTextMaps, getType, getValueIndices, makeBranch, makeContour, makeFlow, makePointGeometry, makePointGeometry, makeSpatialSet, makeStreamline, makeSwitch, makeText, mapValues, mapValues, mapValues, recurseComponent, recurseRange, rotateVectors, setTex3DCoords, setTexCoords, setTexStackCoords, setText, singleComposite, terminalTupleOrScalar, testIndices, testTransform, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, toString, wantIndexed, zeroIndices`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowRealType

    public ShadowRealType(MathType type,
                          DataDisplayLink link,
                          ShadowType parent)
                   throws VisADException,
                          RemoteException

Method Detail

### doTransform

    public boolean doTransform(Object group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer,
                               ShadowType shadow_api)
                        throws VisADException,
                               RemoteException

  transform data into a (Java3D or Java2D) scene graph; add generated scene graph components as children of group; group is Group (Java3D) or VisADGroup (Java2D); value_array are inherited valueArray values; default_values are defaults for each display.DisplayRealTypeVector; return true if need post-process

  Throws:
    `VisADException`
    `RemoteException`